%define enable_debug 0
%define port    GTK
%define lcport  gtk2u
%define tarname wxPython-src
%define version 2.8.11.0
%define ver2    2.8
%define release %mkrel 5

%define major %ver2
%define libname %mklibname %{name} %{major}

%define wxgtku_ver 2.8.11

Summary:   Cross platform GUI toolkit for Python using wx%{port}
Name:      wxPython
Version:   %{version}
Release:   %{release}
Epoch:     1
Source0:   http://prdownloads.sourceforge.net/wxpython/%{tarname}-%{version}.tar.bz2
# Fix a string literal error - AdamW 2008/12
Patch0:    wxPython-2.8.9.1-literal.patch
Patch1:    wxPython-2.8.11.0-fix-linking.patch

License:   LGPL/wxWindows Library Licence, Version 3
URL:       http://wxPython.org/
Group:     Development/Python
BuildRequires: python-devel
BuildRequires: wxgtku2.8-devel >= %wxgtku_ver
BuildRequires: imagemagick

Provides: wxwin
# old wxPythonGTK packages
Obsoletes: wxPythonGTK
Provides: wxPythonGTK = %{version}-%{release}
Obsoletes: wxpython2.6 <= 2.6.3.3-4
Requires: %name-wxversion = %epoch:%version-%release
Obsoletes: %{mklibname wxPythonGTK2.8} < 1:2.8.11.0-3
 
%description
wxPython is a GUI toolkit for Python that is a wrapper around the
wxWindows C++ GUI library.  wxPython provides a large variety of
window types and controls, all implemented with a native look and feel
(and native runtime speed) on the platforms it is supported on.

This package is implemented using the %{port} port of wxWindows.

%package wxversion
Summary: Select a specific version of %{name}
Group: Development/Python
Obsoletes: wxPythonGTK-wxversion

%description wxversion
wxPython is a GUI toolkit for Python that is a wrapper around the
wxWindows C++ GUI library.  wxPython provides a large variety of
window types and controls, all implemented with a native look and feel
(and native runtime speed) on the platforms it is supported on.

This package contains the wxversion python module needed if several versions of
wxPython are installed.

%package tools
Summary: Example applications from %{name}
Group: Development/Python
Requires: %name = %epoch:%version-%release
Obsoletes: wxPythonGTK-tools

%description tools
wxPython is a GUI toolkit for Python that is a wrapper around the
wxWindows C++ GUI library.  wxPython provides a large variety of
window types and controls, all implemented with a native look and feel
(and native runtime speed) on the platforms it is supported on.

This contains the example applications that come with wxPython like
PyShell and XRCed.

%package -n %libname-devel
Summary: Development files of %{name}
Group: Development/Python
Provides: libwxPython-devel = %epoch:%version-%release
Provides: libwxPythonGTK-devel
Obsoletes: %{mklibname wxPythonGTK2.8 -d} < 1:2.8.11.0-3
Requires: %{name} = %epoch:%{version}-%release
Requires: libwxgtku2.8-devel >= %wxgtku_ver

%description -n %libname-devel
This packages contains the headers and etc. for building apps or
Python extension modules that use the same wx%{port} shared libraries
that wxPython uses.

%prep
%setup -q -n %{tarname}-%{version}
%apply_patches

# fix libdir otherwise additional wx libs cannot be found
sed -i -e 's|/usr/lib|%{_libdir}|' wxPython/config.py

%build
# (Fedora) Just build the wxPython part, not all of wxWindows which we already
# have from wxgtk2.8
cd wxPython

# (Fedora) included distutils is not multilib aware; use normal
rm -rf distutils
python setup.py \
	WXPORT='gtk2'\
	UNICODE=1 \
	EP_ADD_OPTS=1 \
	WX_CONFIG="%_bindir/wx-config --no_rpath" \
	build

%install
rm -rf %buildroot

cd wxPython
python setup.py \
	WXPORT='gtk2'\
	UNICODE=1 \
	EP_ADD_OPTS=1 \
	WX_CONFIG="%{_bindir}/wx-config --no_rpath" \
	install --root=%{buildroot}

# install Mandriva menu items

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%_real_vendor-pyshell.desktop << EOF
[Desktop Entry]
Name=PyShell
Comment=GUI Python Shell
Exec=%{_bindir}/pyshell %U
Icon=PyCrust
Terminal=false
Type=Application
StartupNotify=true
Categories=GNOME;GTK;Development;X-MandrivaLinux-Development-Tools;
EOF
cat > %{buildroot}%{_datadir}/applications/%_real_vendor-pycrust.desktop << EOF
[Desktop Entry]
Name=PyCrust
Comment=GUI Python Shell with Filling
Exec=%{_bindir}/pycrust %U
Icon=PyCrust
Terminal=false
Type=Application
StartupNotify=true
Categories=GNOME;GTK;Development;X-MandrivaLinux-Development-Tools;
EOF
cat > %{buildroot}%{_datadir}/applications/%_real_vendor-pyalamode.desktop << EOF
[Desktop Entry]
Name=PyAlaMode
Comment=GUI Python Shell with Filling and Editor Windows
Exec=%{_bindir}/pyalamode %U
Icon=PyCrust
Terminal=false
Type=Application
StartupNotify=true
Categories=GNOME;GTK;Development;X-MandrivaLinux-Development-Tools;
EOF
cat > %{buildroot}%{_datadir}/applications/%_real_vendor-xrced.desktop << EOF
[Desktop Entry]
Name=XRCed
Comment=XRC resource editor for wxPython
Exec=%{_bindir}/xrced %U
Icon=XRCed
Terminal=false
Type=Application
StartupNotify=true
Categories=GNOME;GTK;Development;X-MandrivaLinux-Development-Tools;
EOF

cat > %{buildroot}%{_datadir}/applications/%_real_vendor-editra.desktop << EOF
[Desktop Entry]
Name=Editra
Comment="Programmer's Text Editor"
Exec=/usr/bin/editra
Icon=editra
Terminal=false
Type=Application
Categories=GNOME;GTK;Development;X-MandrivaLinux-Development-Tools;
StartupNotify=true
EOF

#icons
#cd wxPython
mkdir -p %buildroot%_miconsdir
install -m 644 wx/py/PyCrust_16.png %{buildroot}%_miconsdir/PyCrust.png
install -m 644 wx/py/PyCrust_32.png %{buildroot}%_iconsdir/PyCrust.png
install -m 644 wx/tools/XRCed/XRCed_16.png %{buildroot}%{_miconsdir}/XRCed.png
install -m 644 wx/tools/XRCed/XRCed_32.png %{buildroot}%{_iconsdir}/XRCed.png

mkdir -p %buildroot%_iconsdir/hicolor/{16x16,32x32,64x64,128x128}/apps
convert -scale 16x16 wx/tools/Editra/pixmaps/editra.png %{buildroot}%_iconsdir/hicolor/16x16/apps/editra.png
convert -scale 32x32 wx/tools/Editra/pixmaps/editra.png %{buildroot}%_iconsdir/hicolor/32x32/apps/editra.png
convert -scale 64x64 wx/tools/Editra/pixmaps/editra.png %{buildroot}%{_iconsdir}/hicolor/64x64/apps/editra.png
install -m 644 wx/tools/Editra/pixmaps/editra.png %{buildroot}%{_iconsdir}/hicolor/128x128/apps/editra.png

#gw fix paths
%if %_lib != lib
mv %buildroot%py_puresitedir/* %buildroot%py_platsitedir
%endif

# don't ship these ones, firstly we have python >= 2.7, and secondly they mess
# with the pythoneggs.py auto-requires generation
%if "%{pyver}" >= "2.7"
rm -fr %buildroot%py_platsitedir/wx-2.8-gtk2-unicode/wx/tools/Editra/plugins/{*py2.5.egg,*py2.6.egg}
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc docs/preamble.txt
%doc docs/licence.txt
%doc docs/readme.txt
%doc docs/changes.txt
%doc wxPython/docs/*.*
%doc wxPython/docs/screenshots
%py_platsitedir/wx.pth
%py_platsitedir/*.egg-info
%dir %py_platsitedir/wx-%{ver2}-gtk2-unicode
%py_platsitedir/wx-%{ver2}-gtk2-unicode/wx
%py_platsitedir/wx-%{ver2}-gtk2-unicode/wxPython
%py_platsitedir/wx-%{ver2}-gtk2-unicode/*.egg-info

%files tools
%defattr(-,root,root)
%_bindir/*
%_datadir/applications/%_real_vendor-*
%_iconsdir/*.png
%_miconsdir/*.png
%_iconsdir/hicolor/*/*/*.png

%files wxversion
%defattr(-,root,root)
%py_platsitedir/wxversion*

%files -n %libname-devel
%defattr(-,root,root)
%_includedir/wx-%ver2/wx/wxPython


%changelog
* Fri Feb 25 2011 ahmad <ahmad> 1:2.8.11.0-5.mga1
+ Revision: 59947
- rebuild against wxgtk2.8 after adding more BR (to wxgtk2.8)
- obsolete old libwxPythonGTK2.8 instead of conflicting

* Mon Feb 21 2011 ahmad <ahmad> 1:2.8.11.0-4.mga1
+ Revision: 55075
- add BR imagemagick
- we don't need all those BR (Fedora)
- install editro.desktop and editra.png icons
- don't disable installing scripts (let them be copied automatically)
- don't ship 2.5 and 2.6 python eggs, we don't have python 2.5 or 2.6; and these
  eggs mess the python auto-requires
- only build wxPython, we already have wxWidgets from the wxgtku2.8 package
- make the first step of renaming the package to wxPython
- drop the lib package, now the libs come from wxgtku2.8
- add/modify the necessary obsoletes/conflicts/requires tags
- add patch to fix linking

  + dmorgan <dmorgan>
    - Rename desktop files

  + ennael <ennael>
    - remove mdkversion

  + misc <misc>
    - imported package wxPythonGTK

